jQuery(document).ready(function() {

	//Menus
	jQuery('#main-nav ul > li > .mega-menu-block, #main-nav ul > li > ul, #main-nav ul > li > ul > li > ul, #main-nav ul > li > ul > li > ul> li > ul, .top-menu  ul > li > ul, .top-menu  ul > li > ul > li > ul, .top-menu  ul > li > ul > li > ul> li > ul ').parent('li').addClass('parent-list');
	jQuery('.parent-list').find("a:first").append(' <span class="sub-indicator"></span>');
	
	jQuery("#main-nav li , .top-menu li").each(function(){	
		var $sublist = jQuery(this).find('ul:first:not(.mega-menu-content ul.sub-menu), .mega-menu-block');		
		jQuery(this).hover(function(){	
			$sublist.stop().css({overflow:"hidden", height:"auto", display:"none"}).slideDown(300, function(){
				jQuery(this).css({overflow:"visible", height:"auto"});
			});	
		},
		function(){	
			$sublist.stop().slideUp(200, function()	{	
				jQuery(this).css({overflow:"hidden", display:"none"});
			});
		});	
	});

	// jQuery Mobile Menu

	var mainMenu = jQuery('#main-nav ul.menu');
		if (mainMenu.length) {mainMenu.mobileMenu({  defaultText: tievar.go_to,	 className: 'main-menu-mob'	});	}	
});